AI Studios - Publication Co-Creators

View as Markdown

POST: Get co-creators for a specific publication/studio with minimal user details. Returns users who have co-creator access to the publication including their role and status. Only includes co-creators with actual IAMUser accounts (not email-only invitations). Requires a publication URL in the POST body to filter co-creators by publication.

Query parameters

searchstringOptional

Search co-creators by username or full name

Request

This endpoint expects an object.
userobjectRequired

Minimal creator/user serializer for aistudios explore pages. Includes profile picture from user details.

roleenum or any or nullOptional

Role of the co-creator in the publication

  • owner - Owner
  • admin - Admin
  • editor - Editor
  • viewer - Viewer
statusenumOptional
  • not_started - Not Started
  • in_progress - In Progress
  • completed - Completed
  • failed - Failed
Allowed values:

Response

Successfully retrieved publication co-creators

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"

Errors

400
Bad Request Error
404
Not Found Error